###################
# SERVICES        #
###################
- name: Create drupal builder nginx service
  k8s:
    definition:
      kind: Service
      apiVersion: v1
      metadata:
        name: nginx
        namespace: '{{ namespace }}'
        labels:
          app: d8-infra
          service: nginx
      spec:
        ports:
        - name: 8080-tcp
          port: 8080
          targetPort: 8080
        selector:
          app: d8-infra
          deploymentconfig: drupal-builder

- name: Create drupal builder php-fpm service
  k8s:
    definition:
      kind: Service
      apiVersion: v1
      metadata:
        name: php-fpm
        namespace: '{{ namespace }}'
        labels:
          app: d8-infra
          service: php-fpm
      spec:
        ports:
        - name: 9000-tcp
          port: 9000
          targetPort: 9000
        selector:
          app: d8-infra
          deploymentconfig: drupal-builder